Index: /code/trunk/src/util/tinyxml/TinyXMLPrereqs.h
===================================================================
--- /code/trunk/src/util/tinyxml/TinyXMLPrereqs.h	(revision 870)
+++ /code/trunk/src/util/tinyxml/TinyXMLPrereqs.h	(revision 871)
@@ -73,3 +73,14 @@
 class TiXmlParsingData;
 
+namespace ticpp
+{
+    class Document;
+    class Element;
+    class Declaration;
+    class StylesheetReference;
+    class Text;
+    class Comment;
+    class Attribute;
+}
+
 #endif /* _TinyXMLPrereqs_H__ */
Index: /code/trunk/src/util/tinyxml/ticpp.cc
===================================================================
--- /code/trunk/src/util/tinyxml/ticpp.cc	(revision 870)
+++ /code/trunk/src/util/tinyxml/ticpp.cc	(revision 871)
@@ -1,2 +1,4 @@
+#define TIXML_USE_TICPP
+
 /*
 http://code.google.com/p/ticpp/
Index: /code/trunk/src/util/tinyxml/ticpp.h
===================================================================
--- /code/trunk/src/util/tinyxml/ticpp.h	(revision 870)
+++ /code/trunk/src/util/tinyxml/ticpp.h	(revision 871)
@@ -1,2 +1,4 @@
+#define TIXML_USE_TICPP
+
 /*
 http://code.google.com/p/ticpp/
Index: /code/trunk/src/util/tinyxml/ticpprc.h
===================================================================
--- /code/trunk/src/util/tinyxml/ticpprc.h	(revision 870)
+++ /code/trunk/src/util/tinyxml/ticpprc.h	(revision 871)
@@ -1,2 +1,4 @@
+#define TIXML_USE_TICPP
+
 /*
 http://code.google.com/p/ticpp/
Index: /code/trunk/src/util/tinyxml/tinyxml.h
===================================================================
--- /code/trunk/src/util/tinyxml/tinyxml.h	(revision 870)
+++ /code/trunk/src/util/tinyxml/tinyxml.h	(revision 871)
@@ -1,2 +1,4 @@
+#define TIXML_USE_TICPP
+
 /*
 www.sourceforge.net/projects/tinyxml
